export default {
    /**
     * 公司官网
     */
    company: 'https://yiring.com',
    /**
     * 服务协议地址
     */
    services: 'https://app.yiring.com/agri/app/agreement.html',
    /**
     * 隐私政策地址
     */
    privacy: 'https://app.yiring.com/agri/app/guide.html',

    /**
     * 从内部打开指定页面
     * @param link 链接
     * @param title 页面标题
     */
    to(link: string, title: string) {
        uni.navigateTo({
            url: `/pages/common/webview/index?title=${encodeURIComponent(title)}&link=${encodeURIComponent(link)}`,
        })
    },
    /**
     * 从外部打开指定页面
     * @param link 链接
     */
    open(link: string) {
        // #ifdef APP-PLUS
        if (link?.startsWith('tel:')) {
            uni.makePhoneCall({
                phoneNumber: link.replace('tel:', ''),
            })
        } else {
            plus.runtime.openURL(link)
        }
        // #endif
        // #ifdef H5
        window.open(link)
        // #endif
    },
}
